﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using EnvDTE;
using Microsoft.Win32;

namespace ColorSelectorAddIn
{
    public partial class PaletteControlOptionPage : UserControl, IDTToolsOptionsPage
    {
        public PaletteControlOptionPage()
        {
            InitializeComponent();
        }

        #region IDTToolsOptionsPage Members

        public void GetProperties(ref object PropertiesObject)
        {
            throw new NotImplementedException();
        }

        public void OnAfterCreated(DTE DTEObject)
        {
            // read our current value from registry
            // TODO: we should really include contingency code here for creating
            // the key if it doesn't already exist, dealing with unexpected values,
            // exceptions, etc.
            RegistryKey regKey = Registry.CurrentUser.OpenSubKey(@"Software\Contoso\Addins\ColorPalette");
            string codeVal = (string)regKey.GetValue("Language", "CSharp");

            if (codeVal == "CSharp")
            {
                this.radioButtonCSharp.Checked = true;
                this.radioButtonVB.Checked = false;
            }
            else
            {
                this.radioButtonCSharp.Checked = true;
                this.radioButtonVB.Checked = false;
            }
        }


        public void OnCancel()
        {
            throw new NotImplementedException();
        }

        public void OnHelp()
        {
            throw new NotImplementedException();
        }

        public void OnOK()
        {
            string codeValue = "CSharp";    // our default value

            if (this.radioButtonVB.Checked)
            {
                codeValue = "VB";
            }

            // update the registry with the new setting
            RegistryKey regKey = Registry.CurrentUser.OpenSubKey(@"Software\Contoso\Addins\ColorPalette");

            regKey.SetValue("Language", codeValue);

        }

        #endregion
    }
}
